Bug 787210 - Building of example custom plug-in fails with compilation failure
Building of example custom plug-in fails with compilation failure
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-03 10:05 EST by bkramer
Modified: 2015-02-05 20:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bkramer 2012-02-03 10:05:35 EST
Description of problem:
Building of example custom plug-in fails with compilation failure

Version-Release number of selected component (if applicable):
JON 3.0

How reproducible:
Every time (if rhq repository is empty or non-existing)

Steps to Reproduce:
1. delete rhq maven repository (if exists);
2. download example plugins from the url specified in our "Writing Custom Plug-ins" document: http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=tree;f=etc/samples/custom-serverplugin;hb=master
3. execute mvn install
  
Actual results:
Build failed with the following:

[INFO] [compiler:compile {execution: default-compile}]
[INFO] Compiling 1 source file to /home/biljana/JON_custom_plugin_example/rhq/simplereport-serverplugin/target/classes
[INFO] ------------------------------------------------------------------------
[ERROR] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Compilation failure

/home/biljana/JON_custom_plugin_example/rhq/simplereport-serverplugin/src/main/java/org/custom/SimpleReportsPluginComponent.java:[35,31] package org.rhq.core.domain.auth does not exist

/home/biljana/JON_custom_plugin_example/rhq/simplereport-serverplugin/src/main/java/org/custom/SimpleReportsPluginComponent.java:[36,40] package org.rhq.core.domain.configuration does not exist

/home/biljana/JON_custom_plugin_example/rhq/simplereport-serverplugin/src/main/java/org/custom/SimpleReportsPluginComponent.java:[37,38] package org.rhq.core.domain.measurement does not exist

/home/biljana/JON_custom_plugin_example/rhq/simplereport-serverplugin/src/main/java/org/custom/SimpleReportsPluginComponent.java:[38,35] package org.rhq.core.domain.resource does not exist

/home/biljana/JON_custom_plugin_example/rhq/simplereport-serverplugin/src/main/java/org/custom/SimpleReportsPluginComponent.java:[39,35] package org.rhq.core.domain.resource does not exist


Expected results:
Build successful.

Additional info:
Comment 1 Charles Crouch 2012-10-08 09:38:47 EDT
We should fix the compilarion or fix the documentation to point to an example 
which works. This should probably point to a branch which matches a specific 
product version
Comment 2 mark yarborough 2012-11-06 15:05:21 EST
Per 3.1.2 triage with loleary, mfoley, ccrouch, asantos: Okay to move to JON 3.2.
Comment 3 mark yarborough 2013-03-04 17:33:13 EST
We should remove this example from the product docs.
Comment 4 Deon Ballard 2013-04-29 22:27:17 EDT
AFAIK, this is not included anywhere in the product documentation. The only example server-side plug-in I document is an alert sender. 

I believe the sample itself is only available through RHQ in the etc/samples/ directory. I am going to change the product back to RHQ.

Note You need to log in before you can comment on or make changes to this bug.